Sign in with Apple REST API

RSS for tag

The Sign in with Apple REST API allows your app's servers to communicate with Apple’s authentication servers.

Posts under Sign in with Apple REST API tag

200 Posts

Post

Replies

Boosts

Views

Activity

Sign In With Apple on react app with firebase auth not working
Hi, I am trying to implement Sign In With Apple on a react app, using the react-apple-signin-auth package, with Firebase Authentication. My redirect URI is set to the url provided by firebase auth and client ID to the service ID created for the web app on Apple Developer. I am able to initiate the popup and input apple ID and password. However, when asked for confirmation to sign in, I get the following error: "Your request could not be completed because of an error. Please try again later" I am unsure of what is causing this error and hence unable to fix it. What should I do now?
0
0
1.4k
Feb ’23
Identify an user using apple sign inside unity on mobile and on our web app
We have an unity application using apple Sign in, and we want to build an additional web app that can also keep track of the progress of users. After people sign in using the unity app we keep track of the ID apple returns for future reference and searches. To build the webapp we created a service ID and coupled to our only appId, we then created a secret and finally we followed this guide for the setup The id_token the app outputs shows a sub that is different than the one returned in unity, even though this document here says it should be an unique identifier for our user in our app What could be going wrong? Or in case this question is better, how to properly identify an user across a mobile and web environment?
0
0
1.3k
Feb ’23
Programmatically insert RSS URL into Podcast Connect account
Hi Apple! We're developing an app for a client and would like to be able to post podcast RSS URL to Apple Podcasts/itunes programatically with the click of a button on our app. Something similar to what Anchor.fm is capeable of. I've read the documentation here: https://itunespartner.apple.com/podcasts/articles/podcast-requirements-3058 And it seems to me the RSS URL must be inserted manually into a Podcast Connect Account. Is there some kind of API that can do this? Or perhaps you could point us in the right direction. Thank you!Friendly neighborhood developer
1
0
1.5k
Feb ’23
Revoke Apple Token Api, Always retrun 400
Hello. Whenever I tried to revoke by using an access token from App, I have responsed this error message { "error": "invalid_client" }. Actually, I can't realize what the problem is. So, Please review my code and check my mistake. This is the code that generating 'client_secret' code headers = { kid: @apple_key_id, alg: "ES256" } claims = { iss: @apple_team_id, iat: Time.now.to_i, exp: Time.now.to_i + 86400*180, aud: "https://appleid.apple.com", sub: "XXXXXXXXXX" } private_key = OpenSSL::PKey::EC.new IO.read @apple_key_file_path apple_client_secret = JWT.encode(claims, private_key, "ES256", headers) auth/revoke code url = URI("https://appleid.apple.com/auth/revoke") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url.request_uri) request.body = { "client_id": "XXXXXXXXXX", "client_secret": client_secret, "token": @token, "token_type_hint": "access_token" }.to_json request.add_field("Content-Type", 'application/x-www-form-urlencoded') response = http.request(request)
0
0
932
Feb ’23
Sign in with Apple backend flow
Hi, i'm trying to integrate the Apple Sign in function on my website. I understood how to make the front-end part using the Sign in with Apple js library and how to handle the auth response. Now the problem is: what i need to do on the server side to complete the authentication and to get the user information (name surname and email)?, the documentation isn't clear to me. Can you please explain me the server-side flow? Do you have any examples in Java? Thanks. Giacomo
0
0
1.3k
Jan ’23
Behavior when "stop using Sign in with Apple" is executed
Hi, I have a question about the behavior when "stop using Sign in with Apple" is executed. Specifically, it is about the behavior when you access the https://appleid.apple.com/account/manage page, select "Sign in with Apple", and press the button in the image below that appears when you select the Sign in with Apple linked application. Am I correct in assuming that when this button is pressed, the application developer will no longer be able to send email to the email address of the user with whom the private relay is linked? When I checked this behavior myself, I could no longer send mail, but I am not sure, so I would like to confirm this with you to be sure. Thanks, Ryo
0
0
940
Jan ’23
App Transfer, SIWA and Transfer Identifier Availability
Hey, Our team is currently evaluating transferring an App to our parent companies team account. We have obvious concerns around SIWA and want to make sure that user accounts will persist between publishers. We have been reading the documentation here and it seems like there is a pretty well defined flow for this outlined here: https://developer.apple.com/documentation/sign_in_with_apple/transferring_your_apps_and_users_to_another_team We would like to generate transfer_identifiers for all of our users before initiating the App Transfer but we are seeing conflicting information about whether this is possible. From the docs it says: After the recipient team accepts the transfer, you have 60 days to generate transfer identifiers for the client. Which to me, can be a read a couple ways, but potentially suggests that we won't be able to generate the transfer identifiers until after initiating the transfer. We also see in this post, potentially conflicting information from an Apple rep: https://developer.apple.com/forums/thread/649251 If you plan to transfer an app from your team to another team, you can generate a transfer identifier any time. This clearly suggests that we should be able to generate transfer_identifiers at any time. To verify one way or the other, we have attempted to generate transfer_identifiers before transferring our app to the parent team. While we have successfully generated auth_tokens with the rest API, we have not been able to get a successful response back from the transfer rest api at https://appleid.apple.com/auth/usermigrationinfo So far we have only received the error: invalid_client It would be appreciated if an Apple rep (or experienced user) can weigh in on whether this should be possible. If so, any pro tips on debugging the invalid_client response would also be very much appreciated.
1
2
1.8k
Jan ’23
Download Xcode from command line
Hi everyone, I am trying to download Xcode from command line the following way: wget --certificate=certificate.pem --private-key=private-key.pem --server-response https://download.developer.apple.com/Developer_Tools/Xcode_13.3.1/Xcode_13.3.1.xip --no-check-certificate --load-cookies=cookies.txt I am getting the following error: HTTP request sent, awaiting response... 302 Moved Temporarily Location: https://developer.apple.com/unauthorized/ I have the certificate and private key from developer.apple.com and I am using them for authentication(correct me if I am wrong and they cannot be used for authentication). From several forums I found that the error regarding authorization could also be from cookies, so I got the cookies. Still the same error. I need the download of Xcode to be done from command line so that I can then automate the procedure using ansible playbooks (basically for the purpose of downloading and installing it on multiple mac machines.) Please, if the approach is entirely wrong, provide me with the right guide how to download Xcode from developer.apple.com site.
4
0
4.2k
Dec ’22
"sign in with apple" request "authorize" aways get "Invalid client" error
最近使用service id 进行 sign in with apple 网页开发,总是提示 Invalid client. 我反复多次按照文档重新建立service id 和 app id 还有 key,最终还是 Invalid client.这个问题已经超过24小时了,跟网上传说的24小时后生效应该没关系。 我删除掉了之前可以正常使用的service id,发现它现在还可以登录,所以是不是苹果的服务器缓存有问题?已经过去好几个小时了。 Recently, when using the service ID to sign in with apple web page development, the Invalid client is always prompted I have repeatedly recreated the service id, app id and key according to the document, and finally the invalid client. This problem has lasted for more than 24 hours. It should have nothing to do with the online legend that the service id, app id and key will take effect 24 hours later. I deleted the service ID that can be used normally before and found that it can still be logged in. Is there a problem with the Apple server cache? It has been several hours.
3
0
1.6k
Dec ’22
Refreshing the token when access token is expired
I was able to add apple login in my iOS App. Unfortunately, the token expires every 24 hours. I tried to follow the documentation: https://developer.apple.com/documentation/sign_in_with_apple/generate_and_validate_tokens but I get "invalid_client" error everytime.. Is there a real use case available somewhere to know which field is which? Thanks
0
0
2.6k
Nov ’22
Script not able to modify window location within WebView on iOS 15.5+
Hi team, I'm troubleshooting some weird authentication issues within my website where I offer Signin with Apple option. Basically, after the user does Apple login, I have this script to update the location URI of the window opener back to my origin domain. But this line of the script is working correctly when login is launched in a browser such as Safari or Chrome, and it just got ignored when launched from a WebView within an application, and it can only be reproduced since iOS 15.5+. Here is some more context for comparison: Request from Safari: POST /callbackApple HTTP/1.1 Host: signin.example.com Content-Type: application/x-www-form-urlencoded Origin: https://appleid.apple.com Accept-Encoding: gzip, deflate, br Cookie: _ga=GA1.3.1679051778.1669664368; _gat=1; _gid=GA1.3.1808016405.1669664368; signin-cookie="5ce93a47904daa5e"; _abck=F930E04300E8E8AB552C14541A40AD3C~0~YAAQmZTYF7CO3fCBAQAAZkOmHQha0qNYdbsfcZ4zEtwsjoRST+T+DNTMb5+E9uL8OvEL3YA0K0Tn7xS+OKoGPGib5rmpBOZVQq1+XoPEFJOij8Ao8mMKrvztGMN0HgNBmldcy3BCpTLgWFgckVzF/MOLhHL87yVOhCnsKqJEG8WwuH9I1G6xb2k4R6CfX9qzCfh9pexN2KBbE/FW7KtrP5KkRq2Y2a6AlQA3hr068J426LBkRAiHhj7mrAjIZHPXVlAq9PLKSO/LOxvovAbh6bOUP6EZHk1De4IvPU5DqwdA2yQMtyrz/K+MHE5NA0oaLTjhiSmTNUFOckcmQAl+9PRuXYpgVa5UukkSztNLlbn4xOi2ZvZ4B0jtSg57AeXsl56j36NSCmBqioEdA7N54V3IiwOz~-1~-1~-1 Connection: keep-alive Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8 User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 16_1_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/16.1 Mobile/15E148 Safari/604.1 Referer: https://appleid.apple.com/ Content-Length: 1293 Accept-Language: en-US,en;q=0.9 Same request sent from WebView in another App POST /callbackApple HTTP/1.1 Host: signin.example.com Content-Type: application/x-www-form-urlencoded Origin: https://appleid.apple.com Accept-Encoding: gzip, deflate, br Cookie: ga=GA1.3.439982965.1669661343; _gat=1; _gid=GA1.3.712268364.1669661343; signin-cookie="39fd5b51e0350b24" Connection: keep-alive Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8 User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 16_1_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/16.1 Mobile/15E148 Safari/604.1 Referer: https://appleid.apple.com/ Content-Length: 1448 Accept-Language: en-US,en;q=0.9 And the response to the requests above is always the same, a blank HTML page as shown below with some scripts to update the opener and redirect user back to my website. Note that the script self.close() always works, but window.opener.location.replace(redirectUri) only works when it's inside of Safari or Chrome browser but not in Webview opened by some other application. Response body content: ... <script type="text/javascript"> var redirectUri = 'https://example.com'; redirectUri = redirectUri + "access_token=" + "${accessToken?no_esc}" + "&token_type=apple"; [#if nickName??] redirectUri = redirectUri + "&nickName=" + "${nickName?no_esc}"; [/#if] redirectUri = redirectUri + "&_eventId=loginFromApple" + "&execution=" + "${execution?no_esc}"; if ( window.opener ) { window.opener.location.replace(redirectUri); self.close(); } </script> ... I'm not sure could it be related to some security update within Webkit https://support.apple.com/en-us/HT213412 but we started to see this issue after the iOS version mentioned in the post. Any help would be much appreciated, thanks.
0
0
2.6k
Nov ’22
Is it normal that I was able to set up "Sign In With Apple" without verifying the domain?
In many guides (especially my use case at least) from some time ago, I see that when setting up "Sign In With Apple", you must verify the domain by downloading a txt file and hosting it in this path https://example.com/.well-known/apple-developer-domain-association.txt. The question is that I have just configured "Sign In With Apple" and not only I have not found anywhere the button to download this file (neither where theoretically it should be in the Services ID settings nor anywhere), but apparently everything works fine without having done it. This has been a recent change, is it no longer necessary to verify domains in this way? We are going to take this into production so I want to make sure everything is OK.
0
1
923
Nov ’22
Bad Request Error 400 The request is malformed or invalid.
Here's what's failing -- help! curl --location --request POST 'https://apple-pay-gateway.apple.com/paymentservices/paymentSession' \ --header 'Content-Type: application/json'  --header 'merchantIdentifier: merchant.com.discounttire.prelive'  --header 'displayName: Discount Tire'  --header 'initiative: web'  --header 'initiativeContext: stg.discounttire.com'  --data-raw ''   And   curl --location --request POST 'https://apple-pay-gateway.apple.com/paymentservices/paymentSession' \ --header 'Content-Type: application/json'  --header 'merchantIdentifier: merchant.com.discounttire.prelive'  --header 'displayName: Discount Tire'  --header 'initiative: web'  --header 'domainName: stg.discounttire.com'  --data-raw '' Is this a result of not doing.... Note To access the sandbox environment, use POST https://apple-pay-gateway-cert.apple.com/paymentservices/registerMerchant. first?
0
0
1k
Oct ’22
Api to upload app screenshots and metadata
Do we have any api to upload app screenshots and metadata or create experiments with Screenshots and metadata for appstore connect ?
Replies
1
Boosts
1
Views
2.1k
Activity
Mar ’23
Downloading Beta version
Im a computer developer, it seems not updates yet and ready. I am looking forwarding for more upcoming features and updates. Thank you.
Replies
1
Boosts
0
Views
730
Activity
Feb ’23
Sign In With Apple on react app with firebase auth not working
Hi, I am trying to implement Sign In With Apple on a react app, using the react-apple-signin-auth package, with Firebase Authentication. My redirect URI is set to the url provided by firebase auth and client ID to the service ID created for the web app on Apple Developer. I am able to initiate the popup and input apple ID and password. However, when asked for confirmation to sign in, I get the following error: "Your request could not be completed because of an error. Please try again later" I am unsure of what is causing this error and hence unable to fix it. What should I do now?
Replies
0
Boosts
0
Views
1.4k
Activity
Feb ’23
Identify an user using apple sign inside unity on mobile and on our web app
We have an unity application using apple Sign in, and we want to build an additional web app that can also keep track of the progress of users. After people sign in using the unity app we keep track of the ID apple returns for future reference and searches. To build the webapp we created a service ID and coupled to our only appId, we then created a secret and finally we followed this guide for the setup The id_token the app outputs shows a sub that is different than the one returned in unity, even though this document here says it should be an unique identifier for our user in our app What could be going wrong? Or in case this question is better, how to properly identify an user across a mobile and web environment?
Replies
0
Boosts
0
Views
1.3k
Activity
Feb ’23
Programmatically insert RSS URL into Podcast Connect account
Hi Apple! We're developing an app for a client and would like to be able to post podcast RSS URL to Apple Podcasts/itunes programatically with the click of a button on our app. Something similar to what Anchor.fm is capeable of. I've read the documentation here: https://itunespartner.apple.com/podcasts/articles/podcast-requirements-3058 And it seems to me the RSS URL must be inserted manually into a Podcast Connect Account. Is there some kind of API that can do this? Or perhaps you could point us in the right direction. Thank you!Friendly neighborhood developer
Replies
1
Boosts
0
Views
1.5k
Activity
Feb ’23
Revoke Apple Token Api, Always retrun 400
Hello. Whenever I tried to revoke by using an access token from App, I have responsed this error message { "error": "invalid_client" }. Actually, I can't realize what the problem is. So, Please review my code and check my mistake. This is the code that generating 'client_secret' code headers = { kid: @apple_key_id, alg: "ES256" } claims = { iss: @apple_team_id, iat: Time.now.to_i, exp: Time.now.to_i + 86400*180, aud: "https://appleid.apple.com", sub: "XXXXXXXXXX" } private_key = OpenSSL::PKey::EC.new IO.read @apple_key_file_path apple_client_secret = JWT.encode(claims, private_key, "ES256", headers) auth/revoke code url = URI("https://appleid.apple.com/auth/revoke") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url.request_uri) request.body = { "client_id": "XXXXXXXXXX", "client_secret": client_secret, "token": @token, "token_type_hint": "access_token" }.to_json request.add_field("Content-Type", 'application/x-www-form-urlencoded') response = http.request(request)
Replies
0
Boosts
0
Views
932
Activity
Feb ’23
Sign in with Apple backend flow
Hi, i'm trying to integrate the Apple Sign in function on my website. I understood how to make the front-end part using the Sign in with Apple js library and how to handle the auth response. Now the problem is: what i need to do on the server side to complete the authentication and to get the user information (name surname and email)?, the documentation isn't clear to me. Can you please explain me the server-side flow? Do you have any examples in Java? Thanks. Giacomo
Replies
0
Boosts
0
Views
1.3k
Activity
Jan ’23
Does a request for revoking the refresh token revoke the associated access token as well?
Hello, could someone tell me: will issuing a request to revoke a refresh token revoke the associated access token as well? Seems this is usually the case with OAuth2, but just to confirm if it's the case for Apple. Thanks!
Replies
0
Boosts
0
Views
1.1k
Activity
Jan ’23
Behavior when "stop using Sign in with Apple" is executed
Hi, I have a question about the behavior when "stop using Sign in with Apple" is executed. Specifically, it is about the behavior when you access the https://appleid.apple.com/account/manage page, select "Sign in with Apple", and press the button in the image below that appears when you select the Sign in with Apple linked application. Am I correct in assuming that when this button is pressed, the application developer will no longer be able to send email to the email address of the user with whom the private relay is linked? When I checked this behavior myself, I could no longer send mail, but I am not sure, so I would like to confirm this with you to be sure. Thanks, Ryo
Replies
0
Boosts
0
Views
940
Activity
Jan ’23
App Transfer, SIWA and Transfer Identifier Availability
Hey, Our team is currently evaluating transferring an App to our parent companies team account. We have obvious concerns around SIWA and want to make sure that user accounts will persist between publishers. We have been reading the documentation here and it seems like there is a pretty well defined flow for this outlined here: https://developer.apple.com/documentation/sign_in_with_apple/transferring_your_apps_and_users_to_another_team We would like to generate transfer_identifiers for all of our users before initiating the App Transfer but we are seeing conflicting information about whether this is possible. From the docs it says: After the recipient team accepts the transfer, you have 60 days to generate transfer identifiers for the client. Which to me, can be a read a couple ways, but potentially suggests that we won't be able to generate the transfer identifiers until after initiating the transfer. We also see in this post, potentially conflicting information from an Apple rep: https://developer.apple.com/forums/thread/649251 If you plan to transfer an app from your team to another team, you can generate a transfer identifier any time. This clearly suggests that we should be able to generate transfer_identifiers at any time. To verify one way or the other, we have attempted to generate transfer_identifiers before transferring our app to the parent team. While we have successfully generated auth_tokens with the rest API, we have not been able to get a successful response back from the transfer rest api at https://appleid.apple.com/auth/usermigrationinfo So far we have only received the error: invalid_client It would be appreciated if an Apple rep (or experienced user) can weigh in on whether this should be possible. If so, any pro tips on debugging the invalid_client response would also be very much appreciated.
Replies
1
Boosts
2
Views
1.8k
Activity
Jan ’23
Getting invalid_client on auth/authorize
I make get request to https://appleid.apple.com/auth/authorize with proper client_id and redirect_uri set up bot in dev tools and code but still getting invalid_client What may be reason?
Replies
0
Boosts
0
Views
825
Activity
Jan ’23
Download Xcode from command line
Hi everyone, I am trying to download Xcode from command line the following way: wget --certificate=certificate.pem --private-key=private-key.pem --server-response https://download.developer.apple.com/Developer_Tools/Xcode_13.3.1/Xcode_13.3.1.xip --no-check-certificate --load-cookies=cookies.txt I am getting the following error: HTTP request sent, awaiting response... 302 Moved Temporarily Location: https://developer.apple.com/unauthorized/ I have the certificate and private key from developer.apple.com and I am using them for authentication(correct me if I am wrong and they cannot be used for authentication). From several forums I found that the error regarding authorization could also be from cookies, so I got the cookies. Still the same error. I need the download of Xcode to be done from command line so that I can then automate the procedure using ansible playbooks (basically for the purpose of downloading and installing it on multiple mac machines.) Please, if the approach is entirely wrong, provide me with the right guide how to download Xcode from developer.apple.com site.
Replies
4
Boosts
0
Views
4.2k
Activity
Dec ’22
"sign in with apple" request "authorize" aways get "Invalid client" error
最近使用service id 进行 sign in with apple 网页开发,总是提示 Invalid client. 我反复多次按照文档重新建立service id 和 app id 还有 key,最终还是 Invalid client.这个问题已经超过24小时了,跟网上传说的24小时后生效应该没关系。 我删除掉了之前可以正常使用的service id,发现它现在还可以登录,所以是不是苹果的服务器缓存有问题?已经过去好几个小时了。 Recently, when using the service ID to sign in with apple web page development, the Invalid client is always prompted I have repeatedly recreated the service id, app id and key according to the document, and finally the invalid client. This problem has lasted for more than 24 hours. It should have nothing to do with the online legend that the service id, app id and key will take effect 24 hours later. I deleted the service ID that can be used normally before and found that it can still be logged in. Is there a problem with the Apple server cache? It has been several hours.
Replies
3
Boosts
0
Views
1.6k
Activity
Dec ’22
Refreshing the token when access token is expired
I was able to add apple login in my iOS App. Unfortunately, the token expires every 24 hours. I tried to follow the documentation: https://developer.apple.com/documentation/sign_in_with_apple/generate_and_validate_tokens but I get "invalid_client" error everytime.. Is there a real use case available somewhere to know which field is which? Thanks
Replies
0
Boosts
0
Views
2.6k
Activity
Nov ’22
Script not able to modify window location within WebView on iOS 15.5+
Hi team, I'm troubleshooting some weird authentication issues within my website where I offer Signin with Apple option. Basically, after the user does Apple login, I have this script to update the location URI of the window opener back to my origin domain. But this line of the script is working correctly when login is launched in a browser such as Safari or Chrome, and it just got ignored when launched from a WebView within an application, and it can only be reproduced since iOS 15.5+. Here is some more context for comparison: Request from Safari: POST /callbackApple HTTP/1.1 Host: signin.example.com Content-Type: application/x-www-form-urlencoded Origin: https://appleid.apple.com Accept-Encoding: gzip, deflate, br Cookie: _ga=GA1.3.1679051778.1669664368; _gat=1; _gid=GA1.3.1808016405.1669664368; signin-cookie="5ce93a47904daa5e"; _abck=F930E04300E8E8AB552C14541A40AD3C~0~YAAQmZTYF7CO3fCBAQAAZkOmHQha0qNYdbsfcZ4zEtwsjoRST+T+DNTMb5+E9uL8OvEL3YA0K0Tn7xS+OKoGPGib5rmpBOZVQq1+XoPEFJOij8Ao8mMKrvztGMN0HgNBmldcy3BCpTLgWFgckVzF/MOLhHL87yVOhCnsKqJEG8WwuH9I1G6xb2k4R6CfX9qzCfh9pexN2KBbE/FW7KtrP5KkRq2Y2a6AlQA3hr068J426LBkRAiHhj7mrAjIZHPXVlAq9PLKSO/LOxvovAbh6bOUP6EZHk1De4IvPU5DqwdA2yQMtyrz/K+MHE5NA0oaLTjhiSmTNUFOckcmQAl+9PRuXYpgVa5UukkSztNLlbn4xOi2ZvZ4B0jtSg57AeXsl56j36NSCmBqioEdA7N54V3IiwOz~-1~-1~-1 Connection: keep-alive Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8 User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 16_1_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/16.1 Mobile/15E148 Safari/604.1 Referer: https://appleid.apple.com/ Content-Length: 1293 Accept-Language: en-US,en;q=0.9 Same request sent from WebView in another App POST /callbackApple HTTP/1.1 Host: signin.example.com Content-Type: application/x-www-form-urlencoded Origin: https://appleid.apple.com Accept-Encoding: gzip, deflate, br Cookie: ga=GA1.3.439982965.1669661343; _gat=1; _gid=GA1.3.712268364.1669661343; signin-cookie="39fd5b51e0350b24" Connection: keep-alive Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8 User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 16_1_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/16.1 Mobile/15E148 Safari/604.1 Referer: https://appleid.apple.com/ Content-Length: 1448 Accept-Language: en-US,en;q=0.9 And the response to the requests above is always the same, a blank HTML page as shown below with some scripts to update the opener and redirect user back to my website. Note that the script self.close() always works, but window.opener.location.replace(redirectUri) only works when it's inside of Safari or Chrome browser but not in Webview opened by some other application. Response body content: ... <script type="text/javascript"> var redirectUri = 'https://example.com'; redirectUri = redirectUri + "access_token=" + "${accessToken?no_esc}" + "&token_type=apple"; [#if nickName??] redirectUri = redirectUri + "&nickName=" + "${nickName?no_esc}"; [/#if] redirectUri = redirectUri + "&_eventId=loginFromApple" + "&execution=" + "${execution?no_esc}"; if ( window.opener ) { window.opener.location.replace(redirectUri); self.close(); } </script> ... I'm not sure could it be related to some security update within Webkit https://support.apple.com/en-us/HT213412 but we started to see this issue after the iOS version mentioned in the post. Any help would be much appreciated, thanks.
Replies
0
Boosts
0
Views
2.6k
Activity
Nov ’22
Is it normal that I was able to set up "Sign In With Apple" without verifying the domain?
In many guides (especially my use case at least) from some time ago, I see that when setting up "Sign In With Apple", you must verify the domain by downloading a txt file and hosting it in this path https://example.com/.well-known/apple-developer-domain-association.txt. The question is that I have just configured "Sign In With Apple" and not only I have not found anywhere the button to download this file (neither where theoretically it should be in the Services ID settings nor anywhere), but apparently everything works fine without having done it. This has been a recent change, is it no longer necessary to verify domains in this way? We are going to take this into production so I want to make sure everything is OK.
Replies
0
Boosts
1
Views
923
Activity
Nov ’22
Authentication with next auth library
I have apple authentication with the next auth library. I have done all the configuration and my web app was working perfectly. I later changed the redirect_uri on the apple developer console under service_id configuration. the new redirect_url is not working, instead is the old URI that works. Am I missing something?. Stucked for a month...
Replies
1
Boosts
0
Views
2.5k
Activity
Nov ’22
Can I use an access token from sign in with Apple to access the Apple Music API?
Can I use the access token that is received from sign in with Apple to access the Apple music API if I have MusicKit enabled under my app services or is the Music-User-Token a separate token. I cannot use MusicKit as my application is being written in Go.
Replies
0
Boosts
1
Views
929
Activity
Oct ’22
Bad Request Error 400 The request is malformed or invalid.
Here's what's failing -- help! curl --location --request POST 'https://apple-pay-gateway.apple.com/paymentservices/paymentSession' \ --header 'Content-Type: application/json'  --header 'merchantIdentifier: merchant.com.discounttire.prelive'  --header 'displayName: Discount Tire'  --header 'initiative: web'  --header 'initiativeContext: stg.discounttire.com'  --data-raw ''   And   curl --location --request POST 'https://apple-pay-gateway.apple.com/paymentservices/paymentSession' \ --header 'Content-Type: application/json'  --header 'merchantIdentifier: merchant.com.discounttire.prelive'  --header 'displayName: Discount Tire'  --header 'initiative: web'  --header 'domainName: stg.discounttire.com'  --data-raw '' Is this a result of not doing.... Note To access the sandbox environment, use POST https://apple-pay-gateway-cert.apple.com/paymentservices/registerMerchant. first?
Replies
0
Boosts
0
Views
1k
Activity
Oct ’22
Is it possible to sign in with AppleID on windows App?
Hello: I'm developing a windows Destop App. And want to support sign in with Apple to get the user's email address without a webserver support. Is it possible?
Replies
0
Boosts
0
Views
834
Activity
Oct ’22